package org.droid3d;

import org.droid3d.renderer.Renderer;
import org.droid3d.utils.InputEvent;

public interface App {
	public Renderer getRenderer();

	public void onDraw(Renderer renderer);

	public void onInitialize();

	public void onInput(InputEvent event);

	public void onPause();

	public void onResize(int width, int height);

	public void onResume();

	public void onUpdate();
}
