package org.droid3d.utils;

import java.io.File;

public class FileNameUtils {

	public static String getBasename(String path) {
		String basename = null;
		int idx = path.lastIndexOf(File.separatorChar);
		if (idx >= 0 && idx < path.length() - 1) {
			basename = path.substring(0, idx + 1);
		}
		return basename;
	}

	public static String getDirectory(String path) {
		int idx = path.lastIndexOf(File.separatorChar);
		if (idx >= 0)
			return path.substring(0, idx + 1);
		return null;
	}

	public static String getFileExtension(String path) {
		String ext = null;
		int idx = path.lastIndexOf('.');
		if (idx > 0) {
			ext = path.substring(idx + 1);
		}

		return ext;
	}
}
