package org.droid3d.utils;

import com.google.common.base.Function;

public class Functional {
	public static final Function<Void, Void>	NO_OPERATION	= newNoOp();

	public static <F, T> Function<F, T> newNoOp() {
		return new Function<F, T>() {

			@Override
			public T apply(F input) {
				return null;
			}
		};
	}
}
